*  DNLP written by GAMS Convert at 09/07/13 23:17:17
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         22       21        0        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         25       25        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         69       41       28        0
*
*  Solve m using DNLP minimizing x1;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,x21,x22,x23,x24,x25;

Negative Variables  x8,x9,x12,x13;

Positive Variables  x2,x3,x4,x5,x6,x7,x10,x11,x14,x15,x16,x17,x18,x19,x20,x21
          ,x22,x23,x24,x25;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9,e10,e11,e12,e13,e14,e15,e16,e17,e18,e19
          ,e20,e21,e22;


e1.. -(-(200 - x6 - x10)*(x6 + x10) - (160 - x7 - x11)*(x7 + x11)) + x1 =E= 0;

e2..    x2 + x3 + x4 + x5 =L= 40;

e3..    2*x6 - 0.4*x8 - 0.6*x9 - x14 + x15 =E= 8;

e4..    2*x7 - 0.7*x8 - 0.3*x9 - x16 + x17 =E= 26;

e5..  - x2 + 0.4*x6 + 0.7*x7 + x18 =E= 0;

e6..  - x3 + 0.6*x6 + 0.3*x7 + x19 =E= 0;

e7..    2*x10 - 0.4*x12 - 0.6*x13 - x20 + x21 =E= 70;

e8..    2*x11 - 0.7*x12 - 0.3*x13 - x22 + x23 =E= 4;

e9..  - x4 + 0.4*x10 + 0.7*x11 + x24 =E= 0;

e10..  - x5 + 0.6*x10 + 0.3*x11 + x25 =E= 0;

e11.. x14*x6 =E= 0;

e12.. x15*(20 - x6) =E= 0;

e13.. x16*x7 =E= 0;

e14.. x17*(20 - x7) =E= 0;

e15.. -x18*x8 =E= 0;

e16.. -x19*x9 =E= 0;

e17.. x20*x10 =E= 0;

e18.. x21*(40 - x10) =E= 0;

e19.. x22*x11 =E= 0;

e20.. x23*(40 - x11) =E= 0;

e21.. -x24*x12 =E= 0;

e22.. -x25*x13 =E= 0;

* set non-default bounds
x2.up = 10;
x3.up = 5;
x4.up = 15;
x5.up = 20;
x6.up = 20;
x7.up = 20;
x10.up = 40;
x11.up = 40;

* set non-default levels
x15.l = 8;
x17.l = 26;
x21.l = 70;
x23.l = 4;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing x1;
