*  DNLP written by GAMS Convert at 09/07/13 23:17:18
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          9        9        0        0        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         11       11        0        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         25        7       18        0
*
*  Solve m using DNLP minimizing x1;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Positive Variables  x2,x3,x4,x5,x6,x7,x8,x9,x10,x11;

Equations  e1,e2,e3,e4,e5,e6,e7,e8,e9;


e1.. -(sqr(x2) + sqr(x3) - 2*x2 - 2*x3 + sqr(x4) + sqr(x5)) + x1 =E= 0;

e2.. (-2 + 2*x4)*x6 + 2*x4 - 2*x2 - x8 =E= 0;

e3.. (-2 + 2*x5)*x7 + 2*x5 - 2*x3 - x9 =E= 0;

e4.. -sqr((-1) + x4) - x10 =E= -0.25;

e5.. -sqr((-1) + x5) - x11 =E= -0.25;

e6.. x8*x4 =E= 0;

e7.. x9*x5 =E= 0;

e8.. x10*x6 =E= 0;

e9.. x11*x7 =E= 0;

* set non-default bounds
x2.up = 2;
x3.up = 2;

* set non-default levels
x2.l = 0.6;
x3.l = 0.6;
x4.l = 2;
x5.l = 2;
x8.l = 2.8;
x9.l = 2.8;

Model m / all /;

m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing x1;
